import React, { useContext, useEffect, useRef } from 'react';
import purebem from 'purebem';
import useClickOutside from '@billogram/use-click-outside';
import usePreventBackgroundScrolling from './usePreventBackgroundScrolling';
import FoundationLightboxContext from './FoundationLightboxContext';
import './FoundationLightboxOverlay.scss';
export default function FoundationLightboxOverlay(_ref) {
  var children = _ref.children,
      _ref$disableClickOuts = _ref.disableClickOutside,
      disableClickOutside = _ref$disableClickOuts === void 0 ? false : _ref$disableClickOuts,
      _ref$disableClose = _ref.disableClose,
      disableClose = _ref$disableClose === void 0 ? false : _ref$disableClose;
  var block = purebem('foundation-lightbox-overlay');

  var _useContext = useContext(FoundationLightboxContext),
      close = _useContext.close;

  var ref = useRef(null);
  useClickOutside(ref, function () {
    if (disableClickOutside || disableClose) {
      return;
    }

    close();
  });
  useEffect(function () {
    // There is a timing issue between moving focus to the element that opens the lightbox and the context element.
    setTimeout(function () {
      if (ref.current !== null) {
        ref.current.focus();
      }
    }, 1);
  }, []);
  usePreventBackgroundScrolling();
  return React.createElement("div", {
    className: block()
  }, React.createElement("div", {
    className: block('content'),
    ref: ref,
    tabIndex: 0
  }, children));
}
//# sourceMappingURL=FoundationLightboxOverlay.js.map