import React from 'react';
import FoundationLightboxContext from './FoundationLightboxContext';
import useLightbox from './useLightbox';

function noop() {}

export default function FoundationLightboxProvider(_ref) {
  var children = _ref.children,
      _ref$onClose = _ref.onClose,
      onClose = _ref$onClose === void 0 ? noop : _ref$onClose,
      _ref$onOpen = _ref.onOpen,
      onOpen = _ref$onOpen === void 0 ? noop : _ref$onOpen;

  var _useLightbox = useLightbox({
    onClose: onClose,
    onOpen: onOpen
  }),
      close = _useLightbox.close,
      Lightbox = _useLightbox.Lightbox,
      open = _useLightbox.open;

  var context = {
    close: close
  };
  return React.createElement(FoundationLightboxContext.Provider, {
    value: context
  }, Lightbox !== null ? React.createElement(Lightbox, {
    close: close
  }) : null, children({
    close: close,
    open: open
  }));
}
//# sourceMappingURL=FoundationLightboxProvider.js.map