import React from 'react';
import { FoundationButtonUI } from '@billogram/foundation-button';
export interface FoundationLightboxContextType {
    close: UseLightboxCloseHandler;
}
export declare type FoundationLightboxComponentType = React.ComponentType<FoundationLightboxContextType>;
export interface UseLightboxCloseHandler {
    (): void;
}
export interface UseLightboxOpenHandler {
    (Component: FoundationLightboxComponentType): void;
}
export interface UseLightboxOnCloseHandler {
    (evt: Event): void;
}
export interface UseLightboxOnOpenHandler {
    (evt: Event): void;
}
export interface UseLightboxProps {
    onClose: UseLightboxOnCloseHandler;
    onOpen: UseLightboxOnOpenHandler;
}
export interface UseLightboxResult {
    close: UseLightboxCloseHandler;
    Lightbox: FoundationLightboxComponentType | null;
    open: UseLightboxOpenHandler;
}
export interface FoundationLightboxProps {
    centerOnMobile?: boolean;
    children: React.ReactNode;
    close?: UseLightboxCloseHandler;
    disableClickOutside?: boolean;
    disableClose?: boolean;
    disableOverflow?: boolean;
    isReloading?: boolean;
}
export interface FoundationLightboxButtonProps {
    children: React.ReactNode;
    onClose?: UseLightboxOnCloseHandler;
    onOpen?: UseLightboxOnOpenHandler;
    Lightbox: FoundationLightboxComponentType;
    ui?: FoundationButtonUI;
}
export interface FoundationLightboxContentProps {
    hasClose?: boolean;
    children?: React.ReactNode;
    close?: UseLightboxCloseHandler;
    description?: React.ReactNode;
    hasFixedWidth?: boolean;
    title?: React.ReactNode;
}
export interface FoundationLightboxContentControlGroupProps {
    children: React.ReactNode;
}
export interface FoundationLightboxOverlayProps {
    children: React.ReactNode;
    disableClickOutside?: boolean;
    disableClose?: boolean;
}
export interface FoundationLightboxProviderProps {
    children: ({ close, open }: {
        close: UseLightboxCloseHandler;
        open: UseLightboxOpenHandler;
    }) => React.ReactNode;
    onClose?: UseLightboxOnCloseHandler;
    onOpen?: UseLightboxOnOpenHandler;
}
