import _slicedToArray from "@babel/runtime/helpers/slicedToArray";
import { useCallback, useState } from 'react';

function noop() {}

export default function useLightbox(_ref) {
  var _ref$onClose = _ref.onClose,
      onClose = _ref$onClose === void 0 ? noop : _ref$onClose,
      _ref$onOpen = _ref.onOpen,
      onOpen = _ref$onOpen === void 0 ? noop : _ref$onOpen;

  var _useState = useState({
    Component: null
  }),
      _useState2 = _slicedToArray(_useState, 2),
      Lightbox = _useState2[0],
      setLightbox = _useState2[1];

  var close = useCallback(function () {
    var evt = new Event('foundation-lightbox-portal.close', {
      cancelable: true
    });
    onClose(evt);

    if (!evt.defaultPrevented) {
      setLightbox({
        Component: null
      });
    }
  }, [onClose]);
  var open = useCallback(function (Component) {
    var evt = new Event('foundation-lightbox-portal.open', {
      cancelable: true
    });
    onOpen(evt);

    if (!evt.defaultPrevented) {
      setLightbox({
        Component: Component
      });
    }
  }, [onOpen]);
  return {
    close: close,
    Lightbox: Lightbox.Component,
    open: open
  };
}
//# sourceMappingURL=useLightbox.js.map